GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

List Staking Balances

TradingStakingList Staking Balances

List Staking Balances

POSThttps://api.gemini.com/v1/balances/staking

Returns the available balance in Staking as well as the available balance for withdrawal, broken out by provider.

POSTv1/balances/staking
curl --request POST \
  --url https://api.gemini.com/v1/balances/staking \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/balances/staking",
  "nonce": "<nonce>",
  "account": "primary"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/balances/staking"
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/balances/staking",
  "nonce": "<nonce>",
  "account": "primary"
}

Responses

The staking balances

typestring
Will always be "Staking"Example: Staking
currencystring
Currency code, see symbols and minimumsExample: MATIC
balancenumber (decimal)
The current Staking balanceExample: 10
availablenumber (decimal)
The amount that is available to tradeExample: 0
availableForWithdrawalnumber (decimal)
The Staking amount that is available to redeem to exchange accountExample: 10
balanceByProviderobject
Example Responses
[
  {
    "type": "Staking",
    "currency": "MATIC",
    "balance": 10,
    "available": 0,
    "availableForWithdrawal": 10,
    "balanceByProvider": {
      "62b21e17-2534-4b9f-afcf-b7edb609dd8d": {
        "balance": 10
      }
    }
  },
  {
    "type": "Staking",
    "currency": "ETH",
    "balance": 3,
    "available": 0,
    "availableForWithdrawal": 3,
    "balanceByProvider": {
      "62b21e17-2534-4b9f-afcf-b7edb609dd8d": {
        "balance": 3
      }
    }
  }
]
PreviousStakingNextStake Crypto Funds
Last modified on May 5, 2026